import type { Metadata } from "next";
import { Inter } from "next/font/google";
import { ThemeProvider } from "@mui/material/styles"
import { CamMuiTheme } from "@ucam.uis.devops/ucam-observe-remote-analytics/themes";
import { CookieBanner } from "@ucam.uis.devops/ucam-observe-remote-analytics/components";
import "./globals.css";

const inter = Inter({ subsets: ["latin"] });

export const metadata: Metadata = {
  title: "Create Next App",
  description: "Generated by create next app",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body className={inter.className}>
        <ThemeProvider theme={CamMuiTheme}>
          <CookieBanner />
          {children}
        </ThemeProvider>
      </body>
    </html>
  );
}
